puppetserver (8.7.0-6ubuntu1) resolute; urgency=medium

  * d/b/cli-defaults.sh.in: suppress Java native code warnings (LP:
    #2144695).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 18 Mar 2026 10:52:21 +1300

puppetserver (8.7.0-6) unstable; urgency=medium

  [ Pierre Gruet ]
  * fix building against snakeyaml 2.x (Closes: #1117954)

  [ Jérôme Charaoui ]
  * d/patches: add patch to drop gettext from jruby

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 26 Nov 2025 15:13:06 -0500

puppetserver (8.7.0-5) unstable; urgency=medium

  * d/patches: fix ftbfs with uncommon timezone

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 06 May 2025 12:36:52 -0400

puppetserver (8.7.0-4) unstable; urgency=medium

  * Rebuild for new version of ruby-concurrent (Closes: #1100569)
  * d/control: bump Standards-Version, no changes needed
  * d/tests: add missing net-tools dependency
  * d/tests: fix serverspec in certain environments
  * d/tests: add a test for the puppetserver ca cert

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 24 Mar 2025 18:20:09 -0400

puppetserver (8.7.0-3) unstable; urgency=medium

  * Rebuild for new version of ruby-concurrent (Closes: #1092567)
  * d/patches: improve regen_certs script (Closes: #1078635)
  * d/rules: improve post-build cleanup

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 03 Feb 2025 23:21:30 -0500

puppetserver (8.7.0-2) unstable; urgency=medium

  [ Anton Lundin ]
  * add a small delay in service unit's ExecStartPost (Closes: #1069162)

  [ Jérôme Charaoui ]
  * silence cron job if package removed
  * d/rules: fix snakeyaml jar filename in classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 22 Nov 2024 18:26:26 -0500

puppetserver (8.7.0-1) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * New upstream version 8.7.0
  * ship reportdir cleanup cron job
  * add manpage for new puppetserver prune subcommand
  * drop obsolete NEWS files and debian/gem-download.sh script
  * d/control:
    + add new binding packages to Suggests
    + bump libshell-utils-clojure dep
    + bump Standards-Version, no changes needed
  * d/manpages: update issue tracker url
  * d/patches: drop test cert regen patch merged upstream
  * d/patches: refresh for new upstream version
  * d/rules
    + adjust to new gem path used for tests
    + fix manpage generation for single-package
    + move gem symlinking logic to helper script
    - drop custom heap size for tests
    - drop obsolete cleanup step
  * d/watch: use recommended pattern for github tags

  [ Thomas Goirand ]
  * Remove transition packages puppet-master and puppet-master-passenger, make
    puppetserver Breaks+Replaces them to have them removed automatically.

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 21 Nov 2024 16:05:02 -0500

puppetserver (8.4.0-7) unstable; urgency=medium

  * Rebuild for ruby-puppetserver-ca-cli update.

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 05 Sep 2024 09:09:34 -0400

puppetserver (8.4.0-6) unstable; urgency=medium

  * d/patches: add patch to regenerate ca test certs (Closes: #1078635)
  * Remove constraints unnecessary since bullseye (oldstable)
  * remove cron job to delete old reports

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 05 Sep 2024 09:09:17 -0400

puppetserver (8.4.0-5) unstable; urgency=medium

  * Add debian/puppetserver.cron.daily to clean-up reports (Closes: #1078911).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 11:21:52 +0200

puppetserver (8.4.0-4) unstable; urgency=medium

  * Rebuild for ruby-gettext update (Closes: #1077156)
  * d/rules: fix ftbfs in reproducible builds

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 27 Jul 2024 10:42:16 -0400

puppetserver (8.4.0-3) unstable; urgency=medium

  * d/patches: fix typo in patch description
  * d/tests: limit autopkgtests to amd64 and arm64

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 17 Mar 2024 15:32:03 -0400

puppetserver (8.4.0-2) unstable; urgency=medium

  * d/rules: don't hardcode jruby gem names
  * d/tests: add 'puppetserver ca' spec

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 15 Mar 2024 20:50:21 -0400

puppetserver (8.4.0-1) unstable; urgency=medium

  [ Jérôme Charaoui ]
  * d/rules: cleanup unused clojureAotDepends substvar

  [ Louis-Philippe Véronneau ]
  * update puppetserver-ca manpage

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 01 Mar 2024 18:08:21 -0500

puppetserver (8.4.0-1~exp1) experimental; urgency=medium

  [ Jérôme Charaoui ]
  * New upstream version 8.4.0
  * un-bundle concurrent-ruby gem
  * d/control:
    - drop hiera 3 dependency
    - drop direct facter dependency
    - remove puppet-module-*-core Recommends
    + bump puppet-agent dependency to 8
    + update clojure library dependencies
    + add binary depends on procps (Closes: #1050389)
  * d/patches:
    - drop patch merged upstream
    + refresh patches for new upstream version
    + add patch to switch back to jetty9
    + resolve ftbfs with java 21
  * d/rules:
    - drop clj-yaml from classpath
    - drop hiera 3 gem from test environment
  * d/tests:
    + fix gem list test
    + add test for access log
    + add regression test for #1063568
  * workaround for non-C locales (Closes: #1063568)
  * remove unrecongnized lintian tag

  [ Thomas Goirand ]
  * Add myself as uploader.
  * Add puppet-module-puppetlabs-mailalias-core as Recommends
    (Closes: #1050337).

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 18 Feb 2024 09:56:24 -0500

puppetserver (7.9.5-2) unstable; urgency=medium

  * abort service start/reload if mainpid dies (Closes: #1032241)
  * add patch fixing CVE-2023-1894 (Closes: #1035541)

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 07 May 2023 11:09:17 -0400

puppetserver (7.9.5-1) unstable; urgency=medium

  * New upstream version 7.9.5
  * remove ahead-of-time compilation of clojure classes
  * d/rules: reenable dh_strip_nondeterminism
  * d/rules: add missing jars on classpath

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 09 Feb 2023 21:11:26 -0500

puppetserver (7.9.4-2) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/rules, d/manpages: add manpages.

  [ Jérôme Charaoui ]
  * fix start/stop/reload cli subcommands
  * d/control:
    + use headless jdk in build-deps
    + tighten clojure build-dep which provides 1.x
    - drop obsolete libcomplete build-dep
  * d/patches: drop dependency version overrides
  * d/patches: drop misleading dropsonde config section
  * d/rules: add aot clojure packages to binary deps
  * generate tighter binary deps from package list
  * add README.Debian and README.source

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 08 Feb 2023 14:07:38 -0500

puppetserver (7.9.4-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Do not Recommends: puppet-module-puppetlabs-zfs-core that isn't in Debian.

  [ Antoine Beaupré ]
  * only restart on abormal failure conditions

  [ Jérôme Charaoui ]
  * New upstream version 7.9.4
  * d/control:
    + tighten clojure binary Depends: (Closes: #1030039)
    + use default-jre-headless in binary Depends
  * d/patches: ssldir patch not needed anymore
  * d/tests:
    + add logs to autopkgtest artifacts
    + improve test descriptions
  * d/control: use default-jre-headless in binary Depends
  * d/patches: ssldir patch not needed anymore

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 30 Jan 2023 14:47:36 -0500

puppetserver (7.9.3-3) unstable; urgency=medium

  * d/control: build transitional packages (Closes: #1028333)
  * d/control: change section from java to admin
  * d/rules: do not enable service upon installation
  * sync systemd service unit status with internal state
  * fix puppetserver subcommands
  * add missing cli subcommands
  * add jruby lib path to java arguments
  * add appropriate lintian overrides
  * improve autopkgtests using ruby-serverspec

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 23 Jan 2023 12:50:03 -0500

puppetserver (7.9.3-2) unstable; urgency=medium

  * tighten binary Depends: on ruby gems (Closes: #1029299)
  * d/control:
    + tighten hocon and puppet dependencies
    + add ruby to binary Depends:
    + improve package Description
    + fix silent crashes caused by old i18n lib
    + recommend puppetlabs core modules
    - ring-mock only needed for testsuite
    - remove nocheck flag from some Build-Deps
  * d/rules: remove versioned symlink for test jar
  * fix puppetserver binary missing its subcommand scripts

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 22 Jan 2023 11:21:53 -0500

puppetserver (7.9.3-1) unstable; urgency=medium

  * New upstream version 7.9.3
  * d/copyright: add myself to copyright for debian/*
  * d/control:
    + rework all dependencies (Closes: #1028327)
    + add missing dependency puppet-resource_api
    + add myself to Uploaders
    - remove unused package puppetserver-test
  * d/patches:
    + rebase for new upstream version
    + patch out optional test dependency
    + add upstream java17 compat patch for test
    + add jruby stdlib load_path patch
    + adapt ssldir in puppet.conf test fixtures
    + add RUBYLIB fix for autosign script
    + add patch to fix unknown symbol in tests
    + add patch fixing java17 io warnings in tests
    + add patch to adapt jruby test for debian
    + add patch to disable analytics services
    + change puppetlabs paths to Debian paths
    + remove symlink-cadir from ca init
  * d/rules:
    + build with leiningen
    + install vendored gems from tarball component
    + run full testsuite at build-time (Closes: #1028332)
    - drop maven_repo_helper
  * d/tests: add basic autopkgtest
  * bundle concurrent-ruby 1.1.5 due to version requirement
  * ship config files, binary (Closes: #1028334)
  * ship systemd service unit
  * ship README in docs

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 18 Jan 2023 18:03:57 -0500

puppetserver (6.18.0-2) experimental; urgency=medium

  * d/patches/0001: override Java restriction.
  * d/control: add new B-D that were previously taken care of by
    jruby-utils-clojure.
  * d/control: temporary B-D on junit5. This commit should be reverted once
    #1028024 has been closed.
  * d/control: Standards-Version update to 4.6.2. No changes.
  * d/rules: remove the dh_strip_nondeterminism override, it's not needed
    anymore.
  * d/control: temporary version restriction on libjson-simple-java, as the
    version in experimental break puppetserver.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 06 Jan 2023 15:36:48 -0500

puppetserver (6.18.0-1) unstable; urgency=medium

  * New upstream version.
  * d/gbp.conf: create.
  * d/patches: refresh 0001.
  * d/control: replace liburl-clojure by liblambdaisland-uri-clojure.
  * d/control: pin a new version of libssl-utils-clojure, as this version
    requires it to run.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 13 Feb 2022 22:24:25 -0500

puppetserver (6.14.1-3) unstable; urgency=medium

  * d/control: remove redundant build-dependency.
  * d/copyright: update debian/* date.
  * d/copyright: fix Apache entry.
  * d/control: Standards-Version update to 4.6.0. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 13 Feb 2022 13:14:50 -0500

puppetserver (6.14.1-2) unstable; urgency=medium

  * Create a compiled jar instead of an uberjar.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 12 Feb 2022 23:31:19 -0500

puppetserver (6.14.1-1) unstable; urgency=medium

  * Initial release. (Closes: #830904)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 12 Feb 2022 18:23:04 -0500
